Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
plasma update to 5.6.1
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
cmprior
n00b
n00b


Joined: 03 Sep 2011
Posts: 45

PostPosted: Sun Apr 03, 2016 8:00 pm    Post subject: plasma update to 5.6.1 Reply with quote

Hi guys

I have hit a blocker I do not know how to deal with.

It looks like kactivities-workspace is being pulled in at version 5.5.0 and this seems to be blocking the rest of 5.6.1
I unmerged this package but is is coming back at the wrong version. Any thoughts on how this can be fixed?

Thanks for any pointers.


[ebuild U ~] kde-plasma/plasma-meta-5.6.1 [5.5.5] USE="handbook%* -grub% -plymouth%"
[blocks B ] >kde-plasma/plasma-desktop-5.5.90 (">kde-plasma/plasma-desktop-5.5.90" is blocking kde-plasma/kactivities-workspace-5.5.0)
[blocks B ] <kde-apps/kde4-l10n-15.12.3-r1 ("<kde-apps/kde4-l10n-15.12.3-r1" is blocking kde-plasma/kscreenlocker-5.6.1, kde-plasma/kwrited-5.6.1, kde-plasma/kscreen-5.6.1, kde-plasma/khelpcenter-5.6.1, kde-plasma/plasma-workspace-5.6.1, kde-plasma/systemsettings-5.6.1, kde-plasma/plasma-pa-5.6.1, kde-plasma/kgamma-5.6.1, kde-plasma/sddm-kcm-5.6.1, kde-plasma/user-manager-5.6.1, kde-plasma/bluedevil-5.6.1, kde-plasma/plasma-desktop-5.6.1, kde-plasma/khotkeys-5.6.1, kde-plasma/breeze-gtk-5.6.1, kde-plasma/kdecoration-5.6.1, kde-plasma/kdeplasma-addons-5.6.1, kde-plasma/ksysguard-5.6.1, kde-plasma/powerdevil-5.6.1, kde-plasma/oxygen-5.6.1, kde-plasma/milou-5.6.1, kde-plasma/kwayland-integration-5.6.1, kde-plasma/kinfocenter-5.6.1, kde-plasma/kde-gtk-config-5.6.1, kde-plasma/libkscreen-5.6.1, kde-plasma/libksysguard-5.6.1, kde-plasma/kde-cli-tools-5.6.1, kde-plasma/ksshaskpass-5.6.1, kde-plasma/kwin-5.6.1, kde-plasma/breeze-5.6.1, kde-plasma/kmenuedit-5.6.1, kde-plasma/kwayland-5.6.1)
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Sun Apr 03, 2016 8:42 pm    Post subject: Reply with quote

I'm not expert but it looks like you might have some sort of beta version (from the gentoo kde-overlay perhaps?) If so are you sure you want to stay on the overlay?

"kde-plasma/plasma-desktop-5.5.90"

Try seeing what is pulling it in:

equery d kactivities-workspace

But:

Quote:

"<kde-apps/kde4-l10n-15.12.3-r1" is blocking kde-plasma/kscreenlocker-5.6.1


It looks like you might need to sync as it seems you have a version below kde-apps/kde4-l10n-15.12.3-r1. I have "kde-apps/kde4-l10n-15.12.3-r1" on my current ~amd64 non-overlay install.

If something screwy is happening still after syncing then maybe try to uninstall the old version of "kde4-l10n" as well to help it along in pulling in the new version.

If all is still lost then hopefully genstorm or kennsington will be around soon to set us all straight. ;)
Back to top
View user's profile Send private message
cmprior
n00b
n00b


Joined: 03 Sep 2011
Posts: 45

PostPosted: Sun Apr 03, 2016 8:49 pm    Post subject: Reply with quote

Thanks davidm

I do not have any kde overlays configured, so its not that.
I already removed kde4-l10n but it is being pulled back in again (I guess by digikam which is still using kde4)
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Sun Apr 03, 2016 8:59 pm    Post subject: Reply with quote

cmprior wrote:
Thanks davidm

I do not have any kde overlays configured, so its not that.
I already removed kde4-l10n but it is being pulled back in again (I guess by digikam which is still using kde4)


Ah, I think misread the output. It was only saying that the version present was greater and not that you had a beta version.

Code:

* kde-plasma/kactivities-workspace
     Available versions:  (5) (~)5.5.0
       {debug}
     Homepage:            https://www.kde.org/
     Description:         Transitional package for activities KCM and KIO modules in Plasma-5.5


So you should be able to get rid of this just fine. It's a transitional package and I don't have it installed on my Plasma 5.6.1 install.
If it keeps getting pulled in try 'equery d kde-plasma/kactivities-workspace' for possible clues.

Try unmerging digikam for now as well...
Back to top
View user's profile Send private message
cmprior
n00b
n00b


Joined: 03 Sep 2011
Posts: 45

PostPosted: Sun Apr 03, 2016 9:10 pm    Post subject: Reply with quote

Thanks

I'll try later - we just had a power cut, so am recovering some damaged files (I was editing some photos when the power went)

I know I installed the kactivities recently because I wanted the camera notifier - but that's not working properly either. I'll try to remove, and also remove digikam. Will have to wait until tomorrow though.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7132
Location: Austria

PostPosted: Sun Apr 03, 2016 9:47 pm    Post subject: Re: plasma update to 5.6.1 Reply with quote

cmprior wrote:
[blocks B ] >kde-plasma/plasma-desktop-5.5.90 (">kde-plasma/plasma-desktop-5.5.90" is blocking kde-plasma/kactivities-workspace-5.5.0)

Read: "Versions higher than plasma-desktop-5.5.90 are not compatible with kde-plasma/kactivities-workspace-5.5.0"

Solution: Get rid of kactivities-workspace.

cmprior wrote:
[blocks B ] <kde-apps/kde4-l10n-15.12.3-r1 ("<kde-apps/kde4-l10n-15.12.3-r1" is blocking kde-plasma/kscreenlocker-5.6.1 [and all kinds of other stuff]

Read: "Versions lower than kde-apps/kde4-l10n-15.12.3-r1 are incompatible with all of KDE Plasma 5.6.1"

Solution: Upgrade to 15.12.3-r1 or higher of kde4-l10n.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
cmprior
n00b
n00b


Joined: 03 Sep 2011
Posts: 45

PostPosted: Mon Apr 04, 2016 6:31 pm    Post subject: Reply with quote

I've finally managed to update. I had to mask the kactivities-workspace and kactivitymanager at version 5.5.0
I also had to manually unmask the latest kde4-l10n and update that first. Once that was done, the remainder of plasma upgraded to 5.6.1

Thanks to genstorm and davidm for putting me right.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum